Chatbot Generative Answers Content

Prev Next

Chatbot Generative Answers Content

Chatbot Generative Answers Content JSON Format

Chatbot Generative Answers Content is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the chatbot generative answers content.
chatbotId guid Id of the chatbot.
isEnabled bool If the chatbot generative answers content is enabled.
chatbotGenerativeAnswersSourceId guid Chatbot Generative Answers Source Id .
type enum Allowed values are webpage, video,file
title string
url string
fileName string
fileFormat string
content string
updatedTime datetime the updated time.
size int the size of the content (B).

Get the list of Chatbot Generative Answers Contents

GET bot/chatbotGenerativeAnswersContents?chatbotId={chatbotId}&pageIndex={pageIndex}&pageSize={pageSize}&siteId={siteId}&type={type}&chatbotGenerativeAnswersSourceId={chatbotGenerativeAnswersSourceId}&keywords={keywords}

  • Parameters:

Name Type in Required Description
siteId int query yes Id of the site.
chatbotId guid query yes Id of the chatbot.
pageIndex int query no default: 1
pageSize int query no default: 10.
type string query no Allowed values are webpage, video,file, Filter by type
chatbotGenerativeAnswersSourceId guid query no Filter by chatbot Generative Answers Source
keywords string query no Filter by keywords in title or fileName
  • Response:

An array of Chatbot Generative Answers Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/chatbotGenerativeAnswersContents?chatbotId=cdc1d295-bf57-4cb3-b84f-8244e668ab29&pageIndex=1&pageSize=10&siteId=10000&type=webpage \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "chatbotGenerativeAnswersContents": [
      {
          "id": "bc877959-ee52-4278-9f49-fd12558dbf9d",
          "siteId": 10000,
          "chatbotId": "cdc1d295-bf57-4cb3-b84f-8244e668ab29",
          "isEnabled": true,
          "title": "2.4 GHz vs. 5 GHz WiFi networks - Rain Bird Connected Device Support",
          "type": "webpage",
          "url": "https://wifi.rainbird.com/articles/if-i-do-not-have-a-2-4-ghz-network-available-what-do-i-do/",
          "chatbotGenerativeAnswersSourceId": "22ea24dd-1b74-469a-b237-0263795a3442",
          "fileName": "2.4 GHz vs. 5 GHz WiFi networks - Rain Bird Connec_1716537276.html",
          "fileFormat": "none",
          "fileProcessingStatus": "none",
          "updatedTime": "2024-05-24T08:04:14.577Z",
          "size": 1814
      },
      ...
  ],
  "previousPage": null,
  "nextPage": "https://api11.comm100.io/v4/bot/chatbotGenerativeAnswersContents?chatbotId=cdc1d295-bf57-4cb3-b84f-8244e668ab29&pageIndex=2&pageSize=10&siteId=10000&type=webpage",
  "total": 163
}

Get a single Chatbot Generative Answers Content

GET bot/chatbotGenerativeAnswersContents/{id}?siteId={siteId}

  • Parameters:

Name Type in Required Description
siteId int query yes Id of the site.
  • Response:

Chatbot Generative Answers Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/chatbotGenerativeAnswersContents/bc877959-ee52-4278-9f49-fd12558dbf9d?siteId=10000 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "bc877959-ee52-4278-9f49-fd12558dbf9d",
  "chatbotId": "cdc1d295-bf57-4cb3-b84f-8244e668ab29",
  "isEnabled": true,
  "title": "2.4 GHz vs. 5 GHz WiFi networks - Rain Bird Connected Device Support",
  "type": "webpage",
  "url": "https://wifi.rainbird.com/articles/if-i-do-not-have-a-2-4-ghz-network-available-what-do-i-do/",
  "chatbotGenerativeAnswersSourceId": "22ea24dd-1b74-469a-b237-0263795a3442",
  "content": "<div>  <div><a class=\"skip-link sr-only\" href=\"#main\">Skip to content</a>                <div><div><main><article><div><p><span>Topic(s):</span> <a href=\"https://wifi.rainbird.com/_rbkc_topics/setup/\">Setup</a><a href=\"https://wifi.rainbird.com/_rbkc_topics/wifi-network/\">WiFi Network</a></p><h1>2.4 GHz vs. 5 GHz WiFi networks</h1><p>Rain Bird WiFi controllers only connect to 2.4 GHz WiFi Networks.</p><p>Rain Bird WiFi controllers are often installed outdoors, or other locations away from the indoor WiFi Router, so 2.4 GHz is the best WiFi network for this purpose. </p><p>2.4 GHz WiFi networks travel farther than 5 GHz. Though 2.4 GHz networks transmit data slower, they are very useful for internet connected devices that are not using large amounts of data. </p><p>The industry standard for the majority of WiFi router manufacturers is to have 2.4 GHz and 5 GHz networks. The suffix of the WiFi network name should indicate whether it is 2.4 or 5 GHz.</p><p>In the event that a 2.4 GHz network is not available from your list of  networks, please refer to your router manual or IT specialist for further information.</p><div>    <h2>Was this helpful?</h2></div><div><h3>Do you have suggestions to make this article more helpful?</h3><form>Your feedback will be used to improve this and other articles. If you would like to receive direct help please contact our Live Support at the number below. If you would like to receive a notification of article updates based on your feedback please provide your email address in the comments. Your email address will not be published. <p><label>Comments</label><br></p>Thank you for your feedback. We regret we are not able to provide direct responses.</form></div></div></article></main></div></div></div>   </div>",
  "fileName": "2.4 GHz vs. 5 GHz WiFi networks - Rain Bird Connec_1716537276.html",
  "fileFormat": "none",
  "updatedTime": "2024-05-24T08:04:14.577Z",
  "size": 1814
}

Enable/Disable one or more Chatbot Generative Answers Contents

POST bot/chatbotGenerativeAnswersContents:batch?siteId={siteId}

  • Parameters:

Name Type in Required Description
siteId int query yes Id of the site.
ids guid[] body yes the array of Chatbot Generative Answers Content Id.
isEnabled bool body yes true or false
  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/chatbot/chatbotGenerativeAnswersContents:batch?siteId=10000 \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{
    "ids": [
        "bc877959-ee52-4278-9f49-fd12558dbf9d",
        "b76228f8-f1da-467c-9f99-97a0463a3e55"
    ],
    "isEnabled": false
}'

Response:

HTTP/1.1 200 No Content

© 2024 | Comm100
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.